man(1)

NAAM
man - formatteer en vertoon documentatie bladzijden
manpath - geef het zoekpad voor documentatie bladzijden van de gebruiker weer

SYNTAX
man [-acdfhktwW] [-m systeem] [-p preprocessoren] [-C configuratiebestand] [-M pad] [-P pagineerprogramma] [-S lijst_van_hoofdstukken] [hoofdstuk] naam ...

BESCHRIJVING
man formatteert en vertoont bladzijden van de programma documentatie. Deze versie kent de MANPATH en (MAN)PAGER omgevingsvariabelen, zodat je je eigen collectie documentatiebladzijden en je eigen pagineerprogramma kunt gebruiken. Als het hoofdstuk is opgegeven, dan kijkt man alleen in dat hoofdstuk. Je kunt ook met omgevingsvariabelen of met programmaopties opgeven in welke volgorde de hoofdstukken moeten worden afgezocht, en welke preprocessoren de tekst moeten voorbewerken. Als naam een / bevat, dan wordt hij eerst geprobeerd als bestandsnaam, zodat opdrachten als man ./foo.5 of man /cd/foo/bar.1.gz mogelijk zijn.

OPTIES

-C  configuratiebestand
    Geef aan welk configuratiebestand gebruikt moet worden. Als deze optie niet is opgegeven, dan wordt /etc/man.conf gebruikt. (Voor een beschrijving van dit bestand, zie man.conf(5).)

-M  pad
    Geef de lijst van directories waarin gezocht moet worden. Als deze optie niet is opgegeven, dan wordt de omgevingsvariabele MANPATH gebruikt. En als er niet zo'n omgevingsvariabele is, dan wordt de standaardlijst gevonden door /etc/man.conf te raadplegen. Een lege deelstring in MANPATH wordt vervangen door de standaardlijst.

-P  pagineerprogramma
    Geef aan welk pagineerprogramma gebruikt moet worden. Als deze optie niet is opgegeven, dan wordt het programma vermeld in de omgevingsvariabele MANPAGER of, als deze niet bestaat, PAGER gebruikt. Is er ook niet zo'n omgevingsvariabele, dan wordt /usr/bin/less -is gebruikt.

-S  lijst_van_hoofdstukken
    Deze lijst is een lijst van hoofdstukken, door dubbele punten van elkaar gescheiden, waarin gezocht wordt. Als deze optie niet is opgegeven, dan wordt de omgevingsvariabele MANSECT gebruikt.

-a  Normaal zal man termineren na het vertonen van de eerste documentatie bladzijde die hij vindt. Deze optie zegt dat alle bladzijden over naam vertoond moeten worden.

-c  Formatteer de bron bladzijde, zelfs als er een recente voorgeformatteerde bladzijde bestaat. Dit kan nuttig zijn als die bladzijde geformatteerd was voor een scherm met een andere breedte, of als de voorgeformatteerde bladzijde niet deugt.

-d  Vertoon de bladzijden niet echt, maar vertel gedetailleerd wat gedaan wordt - deze optie is alleen nuttig om fouten op te sporen.

-D  Als by -d, maar vertoon de bladzijden ook.

-f  Voer het programma whatis uit.

-h  Druk een hulptekst af.

-k  Voer het programma apropos uit.

-K  Zoek de opgegeven tekst in *alle* handboekbladzijden. Pas op: dit kan lang duren! (Op mijn machine kost dit bijvoorbeeld een minuut voor elke 500 pagina's.) Het helpt om een sectie op te geven.

-m  systeem
    Gebruik een andere collectie documentatiebladzijden, afhankelijk van de opgegeven systeemnaam.

-p  preprocessoren
    Geef aan welke preprocessoren de tekst moeten voorbewerken voordat deze aan nroff of troff gevoerd wordt. Enige preprocessoren, en de letters waarmee ze aangeduid worden, zijn: eqn (e), grap (g), pic (p), tbl (t), vgrind (v), refer (r). Niet elke installatie zal al deze programma's hebben. Als deze optie niet is opgegeven, dan wordt de omgevingsvariabele MANROFFSEQ gebruikt.

-t  Gebruik /usr/bin/groff -Tps -mandoc om de bladzijde te formatteren, en stuur het resultaat naar stdout. De uitvoer van /usr/bin/groff -Tps -mandoc moet mogelijk nog door een of ander filter gestuurd worden voordat hij afgedrukt kan worden.

-w or --path
    Vertoon geen documentatie, maar druk de padnamen af van de bestanden waarin documentatie gevonden werd. Als geen naam opgegeven is, dan: druk het zoekpad af. Als manpath een link is naar man, dan is "manpath" equivalent met "man --path".

-W  Als -w, maar druk alleen de padnamen af, zonder additionele informatie. Dit komt van pas in opdrachten zoals man -aW man | xargs ls -l

VOORGEFORMATTEERDE BLADZIJDEN
Man probeert om geformatteerde bladzijden te bewaren, om de volgende keer dat ze nodig zijn tijd te sparen. Gewoonlijk worden de geformatteerde versies van de bladzijden uit DIR/manX bewaard in DIR/catX, maar andere afbeeldingen van man directories naar cat directories kunnen in /etc/man.conf worden aangegeven. Geformatteerde bladzijden worden niet bewaard als het bijbehorende cat directory niet bestaat.

Het is mogelijk om man suid te maken, met eigenaar man. Als dan een cat directory eigenaar man heeft, en mode 0755 (alleen door man beschrijfbaar), en de geformatteerde bladzijden hebben eigenaar man en mode 0644 of 0444 (alleen beschrijfbaar door man, of helemaal niet beschrijfbaar), dan kan geen gewone gebruiker de geformatteerde bladzijden wijzigen of andere bestanden opslaan in dat directory. Als man niet suid is, dan moet een cat directory waar voor alle gebruikers geformatteerde bladzijden geschreven moeten kunnen worden mode 0777 hebben.

De optie -c laat man een pagina opnieuw formatteren, zelfs als een recente geformatteerde pagina bestaat.

OMGEVINGSVARIABELEN

MANPATH
    Als MANPATH een waarde heeft, dan wordt deze waarde als zoekpad gebruikt.

MANROFFSEQ
    Als MANROFFSEQ een waarde heeft, dan wordt deze waarde gebruikt om te bepalen door welke preprocessoren de tekst bewerkt moet worden. Standaard wordt tbl gebruikt.

MANSECT
    Als MANSECT een waarde heeft, dan wordt deze waarde gebruikt om te bepalen in welke hoofdstukken gezocht wordt.

MANWIDTH
    Als MANWIDTH een waarde heeft, dan geeft deze waarde aan hoeveel kolommen de uitvoer breed moet zijn. Vooral bij heel brede schermen geven veel mensen er de voorkeur aan het aantal kolommen tot 80 of 100 te beperken.

MANPAGER
    Als MANPAGER een waarde heeft, dan wordt deze waarde gebruikt als naam van het te gebruiken pagineerprogramma. Zo niet, dan wordt de waarde van PAGER gebruikt. Bestaat deze ook niet, dan wordt /usr/bin/less -is gebruikt.

LANG
    Als LANG een waarde heeft, dan bepaalt deze de naam van een onderdirectory waar man eerst in zoekt. Bijvoorbeeld, na `LANG=nl man 1 iets' zal man eerst in .../nl/man1/iets.1 zoeken, en als dat niet bestaat, dan in .../man1/iets.1. Hierbij is ... een directory uit het zoekpad.

NLSPATH, LC_MESSAGES, LANG
    De omgevingsvariabelen NLSPATH en LC_MESSAGES (of, als deze niet bestaat, LANG ) spelen een rol bij het vinden van de versie in de opgegeven taal van de mededelingen (voornamelijk foutmeldingen) die man produceert. (Maar de Engelse teksten zijn meegecompileerd, en hoeven niet uit een bestand gehaald te worden.) Programma's als col(1) die door man aangeroepen worden, gebruiken ook LC_CTYPE.

PATH
    PATH wordt gebruikt bij het construeren van het standaard zoekpad van man.

SYSTEM
    SYSTEM wordt gebruikt als standaard naam bij de optie -m.

ZIE OOK
apropos(1), whatis(1), less(1), groff(1).

FOUTEN
De -t optie werkt alleen als een troff-achtig programma geinstalleerd is.
Als je \255 of <AD> ziet knipperen waar afbreekstreepjes hadden moeten staan, zet dan `LESSCHARSET=latin1' in je omgeving.